#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: cprng-aes
version: 0.5.2
id: cprng-aes-0.5.2-2ef38f3a96d6f8ad2ce9aaaa2fda26ea

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability: experimental
homepage: http://github.com/vincenthz/hs-cprng-aes
package-url:
synopsis: Crypto Pseudo Random Number Generator using AES in counter mode.
description: Simple crypto pseudo-random-number-generator with really good randomness property.
             .
             Using ent, a randomness property maker on one 1Mb sample:
             Entropy = 7.999837 bits per byte.
             Optimum compression would reduce the size of this 1048576 byte file by 0 percent.
             Chi square distribution for 1048576 samples is 237.02
             Arithmetic mean value of data bytes is 127.3422 (127.5 = random)
             Monte Carlo value for Pi is 3.143589568 (error 0.06 percent)
             .
             Compared to urandom with the same sampling:
             Entropy = 7.999831 bits per byte.
             Optimum compression would reduce the size of this 1048576 byte file by 0 percent.
             Chi square distribution for 1048576 samples is 246.63
             Arithmetic mean value of data bytes is 127.6347 (127.5 = random).
             Monte Carlo value for Pi is 3.132465868 (error 0.29 percent).
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Crypto.Random.AESCtr
hidden-modules: Crypto.Random.AESCtr.Internal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/cprng-aes-0.5.2
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/cprng-aes-0.5.2
              /usr/local/lib
hs-libraries: HScprng-aes-0.5.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         byteable-0.1.1-6b40a7289955d8e210621adb5e9b0b58
         bytestring-0.10.4.0-2182937da706a7ad10a5093b31e299db
         cipher-aes-0.2.8-6d4648d4a9e90f3ca8ab7beeb278dc34
         crypto-random-0.0.7-9d482a8326c9b6b7169a0bbfeaadf863
         random-1.0.1.1-ea125bb357de39b1f8403eb83fa4e9c7
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/cprng-aes-0.5.2/html/cprng-aes.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/cprng-aes-0.5.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
